Last Comment Bug 820936 - Rename BrowserID extension to Persona
: Rename BrowserID extension to Persona
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: Persona (show other bugs)
: Production
: All All
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
Mentors:
: 823590 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-12 10:34 PST by Reed Loden [:reed] (use needinfo?)
Modified: 2013-02-21 06:35 PST (History)
6 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch to change BrowserID to Persona (v1) (18.37 KB, patch)
2013-01-26 21:22 PST, David Lawrence [:dkl]
glob: review+
Details | Diff | Splinter Review

Description Reed Loden [:reed] (use needinfo?) 2012-12-12 10:34:25 PST
BrowserID was renamed to Persona a while ago... Need to update the extension to reflect the change in name, branding, and URLs.
Comment 1 Byron Jones ‹:glob› [PTO until 2016-10-10] 2012-12-12 10:44:28 PST
note: we only need to ensure user-visible content uses "persona" not "browserid"; there's no need to change the name of the extension, etc.
Comment 2 Reed Loden [:reed] (use needinfo?) 2012-12-20 10:19:53 PST
*** Bug 823590 has been marked as a duplicate of this bug. ***
Comment 3 David Weir (satdav) 2013-01-23 14:28:46 PST
can we get a update on this please
Comment 4 David Lawrence [:dkl] 2013-01-26 21:22:50 PST
Created attachment 706846 [details] [diff] [review]
Patch to change BrowserID to Persona (v1)

I know you mentioned earlier that we could just change the outward facing text/images to Persona and leave the actual extension name as BrowserID. For someone using the extension in the future, I felt it would be less confusing to just change all of the relevant parts to Persona as well as the name. This patch does everything and also converts the previous params to the new key names retaining the system's custom settings. Also the navigator.id calls use the new API which allows the nice side effect of having the Bugzilla instance's name to show up in the Persona login window adding a professional touch.

Please review
dkl
Comment 5 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-02-14 20:19:05 PST
Comment on attachment 706846 [details] [diff] [review]
Patch to change BrowserID to Persona (v1)

Review of attachment 706846 [details] [diff] [review]:
-----------------------------------------------------------------

r=glob, nice work :)

please fix the following on commit.

remove all trailing whitespace.
are you using https://mdn.mozillademos.org/files/3971/plain_sign_in_red.png as the new sign-in image?

::: extensions/BrowserID/Extension.pm
@@ +14,4 @@
>  our $VERSION = '0.01';
>  
> +sub install_update_db {
> +    # 2013-01-24 Bug 820936 dkl@mozilla.com

bzr gives us this information, please remove this line.

::: extensions/BrowserID/template/en/default/hook/account/auth/login-additional_methods.html.tmpl
@@ +3,3 @@
>  <p>
> +Or, log in with Persona: 
> +<img src="extensions/Persona/web/images/sign_in.png" onclick="persona_sign_in()">

add width and height attributes to this img tag.

::: extensions/BrowserID/template/en/default/hook/account/auth/login-small-additional_methods.html.tmpl
@@ +1,3 @@
> +[% IF Param('user_info_class').split(',').contains('Persona')
> +      && Param('persona_includejs_url') %]
> +<img src="extensions/Persona/web/images/sign_in.png" onclick="persona_sign_in()" style="margin-bottom: -8px"> or

while neither of these issues are new, i'd like to see them addressed ..
add width and height attributes to this img tag.
change the inline style to align="absmiddle".
add a title attribute.. "Login with Persona" or similar.

::: extensions/BrowserID/template/en/default/hook/account/create-additional_methods.html.tmpl
@@ +21,5 @@
>  }
>  </script>
>  
> +Or, use your Persona account:
> +<img src="extensions/Persona/web/images/sign_in.png" onclick="persona_create_account()">

add width and height attributes, and align="absmiddle"
Comment 6 David Lawrence [:dkl] 2013-02-15 13:55:14 PST
Thanks for the review.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.0
renamed extensions/BrowserID => extensions/Persona
renamed extensions/BrowserID/Config.pm => extensions/Persona/Config.pm                                                                                    renamed extensions/BrowserID/Extension.pm => extensions/Persona/Extension.pm
renamed extensions/BrowserID/lib/Config.pm => extensions/Persona/lib/Config.pm
renamed extensions/BrowserID/lib/Login.pm => extensions/Persona/lib/Login.pm
renamed extensions/BrowserID/template/en/default/admin/params/browserid.html.tmpl => extensions/Persona/template/en/default/admin/params/browserid.html.tmpl
added extensions/Persona/template/en/default/admin/params/persona.html.tmpl                                                                            renamed extensions/BrowserID/template/en/default/hook/account/create-additional_methods.html.tmpl => extensions/Persona/template/en/default/hook/account/create-additional_methods.html.tmpl
renamed extensions/BrowserID/template/en/default/hook/account/auth/login-additional_methods.html.tmpl => extensions/Persona/template/en/default/hook/account/auth/login-additional_methods.html.tmpl
renamed extensions/BrowserID/template/en/default/hook/account/auth/login-small-additional_methods.html.tmpl => extensions/Persona/template/en/default/hook/account/auth/login-small-additional_methods.html.tmpl
renamed extensions/BrowserID/template/en/default/hook/global/header-additional_header.html.tmpl => extensions/Persona/template/en/default/hook/global/header-additional_header.html.tmpl
renamed extensions/BrowserID/template/en/default/hook/global/user-error-errors.html.tmpl => extensions/Persona/template/en/default/hook/global/user-error-errors.html.tmpl
added extensions/Persona/web/images
added extensions/Persona/web/images/persona_sign_in.png
added extensions/Persona/web/images/sign_in.png
deleted extensions/BrowserID/web/sign_in_orange.png                                                                       Committed revision 8489.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2               
renamed extensions/BrowserID => extensions/Persona
renamed extensions/BrowserID/Config.pm => extensions/Persona/Config.pm                                                                                    renamed extensions/BrowserID/Extension.pm => extensions/Persona/Extension.pm
renamed extensions/BrowserID/lib/Config.pm => extensions/Persona/lib/Config.pm
renamed extensions/BrowserID/lib/Login.pm => extensions/Persona/lib/Login.pm
renamed extensions/BrowserID/template/en/default/admin/params/browserid.html.tmpl => extensions/Persona/template/en/default/admin/params/browserid.html.tmpl
added extensions/Persona/template/en/default/admin/params/persona.html.tmpl                                                                            renamed extensions/BrowserID/template/en/default/hook/account/create-additional_methods.html.tmpl => extensions/Persona/template/en/default/hook/account/create-additional_methods.html.tmpl
renamed extensions/BrowserID/template/en/default/hook/account/auth/login-additional_methods.html.tmpl => extensions/Persona/template/en/default/hook/account/auth/login-additional_methods.html.tmpl
renamed extensions/BrowserID/template/en/default/hook/account/auth/login-small-additional_methods.html.tmpl => extensions/Persona/template/en/default/hook/account/auth/login-small-additional_methods.html.tmpl
renamed extensions/BrowserID/template/en/default/hook/global/header-additional_header.html.tmpl => extensions/Persona/template/en/default/hook/global/header-additional_header.html.tmpl
renamed extensions/BrowserID/template/en/default/hook/global/user-error-errors.html.tmpl => extensions/Persona/template/en/default/hook/global/user-error-errors.html.tmpl
added extensions/Persona/web/images
added extensions/Persona/web/images/persona_sign_in.png
added extensions/Persona/web/images/sign_in.png
deleted extensions/BrowserID/web/sign_in_orange.png                                                                    Committed revision 8563.
Comment 7 Gervase Markham [:gerv] 2013-02-21 04:11:04 PST
I'm slightly surprised you didn't run this idea past the author of the extension...

http://identity.mozilla.com/post/18038609895/introducing-mozilla-persona says:

"BrowserID remains the developer-facing name of the protocol. Websites, email providers, and browser implementors will continue to refer to the BrowserID protocol."

Given that, it's fine for both names to co-exist in their respective places, and I don't think the churn of renaming the extension is worth it...

Gerv
Comment 8 David Lawrence [:dkl] 2013-02-21 04:59:46 PST
(In reply to Gervase Markham [:gerv] from comment #7)
> I'm slightly surprised you didn't run this idea past the author of the
> extension...

As I am sure you are referring to the author, meaning yourself, I offer an apology to you if this is an issue in any way. I was just working under the assumption that once an extension 
is pushed to production on bugzilla.mozilla.org, it is assumed that the BMO developers will become the primary maintainers of those extensions for fixes and enhancements. Obviously if the author has the time to work on any of the bugs under the particular extensions component, we encourage that as much as possible. Otherwise we try to get to it as soon as we can.

> http://identity.mozilla.com/post/18038609895/introducing-mozilla-persona
> says:
> 
> "BrowserID remains the developer-facing name of the protocol. Websites,
> email providers, and browser implementors will continue to refer to the
> BrowserID protocol."

I realize that and figured that Persona would be the permanent name for the foreseeable future and given the relatively short lifetime of the BrowserID extension, it would not be a
huge problem if we were to go ahead and change the name of the extension. This should also alleviate any possible confusion for those who are just learning of Persona and are looking for Bugzilla support for it and may not know that BrowserID is the same. Right now we have
only done this change in the BMO version of the code. I realize I need to also update the upstream extension as well when I can and can just leave the BZR repo named bugzilla/extensions/browserid and just make the changes to the code below that.

dkl
Comment 9 Gervase Markham [:gerv] 2013-02-21 06:35:27 PST
(In reply to David Lawrence [:dkl] from comment #8)
> As I am sure you are referring to the author, meaning yourself, I offer an
> apology to you if this is an issue in any way. 

I'm not upset. Just surprised :-)

> I was just working under the assumption that once an extension 
> is pushed to production on bugzilla.mozilla.org, it is assumed that the BMO
> developers will become the primary maintainers of those extensions for fixes
> and enhancements. 

I think a better mental algorithm would be that, unless there's an explicit agreement, any extension with an upstream (which this extension has) is maintained upstream. I certainly wrote it to be used by far more Bugzillas than just BMO.

> Obviously if the author has the time to work on any of the
> bugs under the particular extensions component, we encourage that as much as
> possible. Otherwise we try to get to it as soon as we can.

If bugs have been turning up that I'm not addressing, then clearly that's my error. It is true that the extension doesn't have its own product/component other than this one, and it's also true that I'm not keeping an eye on it. So my apologies for that. Now fixed.

> I realize that and figured that Persona would be the permanent name for the
> foreseeable future and given the relatively short lifetime of the BrowserID
> extension, 

You think that Bugzilla will support native BrowserID before long?

Gerv

Note You need to log in before you can comment on or make changes to this bug.